PHP Manual
Prev |  | Next

# imagegd2

(PHP 4 >= 4.1.0, PHP 5)

imagegd2 -- Output GD2 image to browser or file

## Description

bool imagegd2 ( resource image [, string filename [, int chunk_size [, int type]]] )

Outputs a GD2 image to the given `filename`.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`filename`

  The path to the saved file. If not set or `NULL`, the raw image stream will be outputed directly.

`chunk_size`

`type`

  Either `IMG_GD2_RAW` or `IMG_GD2_COMPRESSED`. Default is `IMG_GD2_RAW`.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

> Note: The GD2 format is commonly used to allow fast loading of parts of images. Note that the GD2 format is only usable in GD2-compatible applications.

## ChangeLog

Version | Description
--- | ---
4.3.2 | `chunk_size` and `type` were added.

## See Also

imagegd()

Prev | Home | Next
imagegammacorrect | Up | imagegd